%define name gnobog
%define version 0.4.2
%define release 1mdk


Name:		%{name}
Summary:	Gnome Bookmarks Organizer
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Networking/WWW
Source:		http://gnobog.sourceforge.net/program/%{name}-%{version}.tar.bz2
Url:		http://gnobog.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Requires:	gnome-libs >= 1.2 
# because of gnome terminal, will be fixed when there is a preference dialog
Requires:	gnome-core
Requires:	gtk+ >= 1.2 
Requires:	libglade 
BuildRequires:	gnome-libs-devel >= 1.2 
BuildRequires:	gtk+-devel >= 1.2 
BuildRequires:	libglade-devel
# for documentation generation (not strictly necessary if we keep already generated html)
BuildRequires: sgml-tools >= 1.0.9-10mdk
BuildRequires: docbook-dtd31-sgml    
BuildRequires: docbook-style-dsssl >= 1.57

%description
Gnobog (Gnome Bookmarks Organizer) is a tool to manage bookmarks 
easily and ease web/ftp surfing.

%prep
%setup -q


%build
%configure
%make

%install
%makeinstall

%find_lang %{name}

#Menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
                 needs="X11" section="Networking/WWW" title="Gnobog" \
                 longtitle="Gnome Bookmarks Organizer"
EOF

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
#%files
%defattr(-,root,root,755)
%{_bindir}/*
%{_menudir}/%{name}
%{_datadir}/pixmaps/*
%{_iconsdir}/*.png
%{_iconsdir}/*.xpm
%{_liconsdir}/*
%{_miconsdir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}/C/*
/usr/share/gnome/apps/*/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* 

%changelog
* Tue Dec  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.2-1mdk
- new version

* Sun Sep 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.1-2mdk
- patch to improve 'the save as' ui

* Wed Sep 20 2000 Renaud Chaillat <renaud_chaillat@netcourrier.com> 0.4.1-1mdk
- new version

* Wed Aug 29 2000 Renaud Chaillat <renaud_chaillat@netcourrier.com> 0.4.0-1mdk
- initial specfile


